> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ainvest.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Splits calendar

> Get corporate actions (stock splits and reverse splits) on the specified date.



## OpenAPI

````yaml reference/calendar/calendar.yaml GET /calendar/corporateactions
openapi: 3.1.0
info:
  title: Get financial calendar
  description: >-
    Get financial calendar data, including earnings, corporate actions,
    dividends and other events
  version: 1.0.0
servers:
  - url: https://openapi.ainvest.com/open
    description: Production environment
security:
  - bearerAuth: []
tags:
  - name: Calendar
    description: Financial calendar events
    externalDocs:
      url: https://docs.ainvest.com/calendar
paths:
  /calendar/corporateactions:
    get:
      tags:
        - Calendar
      summary: Get corporate actions calendar
      description: >-
        Get corporate actions (stock splits and reverse splits) on the specified
        date.
      operationId: getCorporateActionsCalendar
      parameters:
        - name: date
          in: query
          required: true
          description: The date for which to get splits, format YYYY-MM-DD
          schema:
            type: string
      responses:
        '200':
          description: Successful response in standard envelope
          content:
            application/json:
              schema:
                $schema: http://json-schema.org/draft-04/schema#
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      data:
                        type: array
                        description: >-
                          A list of securities scheduled to go public on the
                          specified date
                        items:
                          type: object
                          properties:
                            ticker:
                              type: string
                              description: >-
                                US stock market ticker symbol, e.g. AAPL, TSLA,
                                etc.
                            type:
                              type: string
                              description: >-
                                Corporate action type, e.g. `Reverse Stock
                                Split` or `Stock Split`
                            ratio:
                              type: string
                              description: >-
                                The ratio of the stock split, separated by
                                colon, e.g. `4:1`
                  status_code:
                    type: number
                    description: Status code, `0` for success
                  status_msg:
                    type: string
                    description: Status message, `success` for success
        '400':
          description: Validation error, i.e. date is not specified or invalid format
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              example:
                status_code: 4012
                status_msg: Invalid param
components:
  schemas:
    Error:
      type: object
      properties:
        status_code:
          type: integer
          description: Business status code
        status_msg:
          type: string
          description: Error message
      required:
        - status_code
        - status_msg
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        Bearer authentication header of the form `Bearer <token>`, where
        `<token>` is your key. [Get the key
        here](https://www.ainvest.com/business/developer-manage/)

````